Avisos
Vaciar todo

Migrando a Virtuemart 3.0.10  

 
Walter
 Walter
Reputable Member

VirtueMart 3.0.10 / Joomla! 2.5.28
Estimados soporte, estoy migrando mi Virtuemart y me encuentro con un inconveniente.
Todos los productos hijos figuran se muestran con nombre SKU y deberia ser nombre del producto, no se si me explico bien, les adjunto una imagen para que se vea como es ahora y como quiero que se vea, el punto es si tengo alguna manera rapida de cambiar los miles de productos de una vez o tengo que hacerlo de a uno
Gracias

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 08/10/2015 11:31 pm
Walter
 Walter
Reputable Member

Estimados, no he encontrado forma de modificar todos los productos por las vias normales
Les paso como lo he hecho desde la base de datos por si alguien lo necesita
Dentro del cpanel, accediendo a phpMyAdmin editan la tabla xxxx_virtiemart_product_customfield ir a la opcion sql y ejecutar el siguiente comando
UPDATE `xxxxxx_xx`.`xxxx_virtuemart_product_customfields` SET `customfield_value` = 'product_name' WHERE `customfield_value` = 'product_sku'
Recuerden hacer backup antes
Gracias

ResponderCitar
Respondido : 09/10/2015 12:43 am

Cursos Gratuitos WordPress

Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Walter,

Gracias por el aporrte.

¿Sabes que los desarrolladores de VirtueMart no recomiendan utilizar la versión 3.0.10 en Joomla 2.5.28 con 'multiidiomas' como es tu caso?.

Para Joomla 2.5.28 recomiendan mantenerse con VirtueMart 2.6.20 hasta que no sea liberado Joomla 3.5 estable.

Saludos

ResponderCitar
Respondido : 09/10/2015 3:47 am
Walter
 Walter
Reputable Member

Hola Luis, no me rindo, quisiera encontrar la manera de migrar todo y te consulto ya que mi carrito funciona mal y no logro corregirlo.
Si instalo Joomla con virtuemart con su plantilla desde cero mediante los paquetes de Webempresa todo 3x, funcionan para multilenguaje? yo lo necesito solo en español, si funciona correctamente como supongo cual es el impedimento de ir migrando mis productos, mis categorias y mis clientes? que es lo que se puede hacer sin errores y que es lo que no? no comprendo muy bien aun. o lo que no se puede es actualizar sobre el que yo tengo?
Suponiendo que con una instalacion limpia funciona todo bien, cual es la manera correcta de copiar toda la informacion que tengo al nuevo carrito? que pierdo?
Perdon que sea insistente con este tema pero lo tengo que lograr de alguna manera, me cuesta creer que no se pueda.

ResponderCitar
Respondido : 09/10/2015 8:16 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Lo que planteas sería una alternativa, de hecho algunos clientes que no han podido actualizar su sitio han seguido este proceso de migración

Es decir instalas un nuevo sitio web con Joomla 3 y virtuemart actualizado y luego migras tu información

Ahora para migrar tu información puedes usar CSVImproved, es una extensión para exportar/importar datos de virtuemart

http://www.csvimproved.com/es/

Saludos.

ResponderCitar
Respondido : 09/10/2015 10:45 pm
Walter
 Walter
Reputable Member

Hola Jhon gracias por la respuesta,
Acabo de instalar el pack de web empresa, aparecen varias actualizaciones disponibles , entre ellas Virtuemart 3.0.10 puedo actualizarlas todas?
Otra consulta, hay algun consejo o guia o algun tipo de informacion que me puedas dar para no cometer errores? se que es un trabajo complejo.
Gracias

ResponderCitar
Respondido : 09/10/2015 11:13 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Si, en el nuevo sitio web puedes actualizar todo, ya que esta desde cero, luego comprueba si todo funciona correctamente en el front-end

Para aprender a usar CSVimproved revisa :

Saludos.

ResponderCitar
Respondido : 09/10/2015 11:17 pm
Walter
 Walter
Reputable Member

Hola Jhon, tengo instalado el paquete Anthe de webempresa, acabo de instalarle Akeeba backup version 4.2.4 ya que las versiones posteriores no son compatibles porque la version de PHP del host es antigua, indicame si estoy en lo correcto
Por otro lado me aparece para actualizar Virtuemart a la version 3.0.10 ya que la instalada por Webempresa es la 3.0.9 consulto, la puedo actualizar?
Y la ultima, me aparece para actualizar Weblinks Extension Package a la version 3.4.1 que no se que es, la actualizo?
Gracias

ResponderCitar
Respondido : 10/10/2015 3:27 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Walter,

Y la ultima, me aparece para actualizar Weblinks Extension Package a la version 3.4.1 que no se que es, la actualizo?

Tendrás que ilustrarlo en una captura para que podamos ver exactamente a que te refieres o que actualización es a la que haces referencia.

Si con Akeeba Backup se te presenta algún problema, siempre puedes utilizar XCloner que en Joomla funciona perfectamente y no tiene problemas de compatibilidad por versión de PHP.

Saludos

ResponderCitar
Respondido : 10/10/2015 4:10 am
Walter
 Walter
Reputable Member

Hola Luis, gracias por la respuesta, prefiero Akeeba, me siento muy a gusto con esa herramienta, espero no se me arruine, te muestro las actualizaciones que me aparecen, necesito de tu recomendación para ver si se pueden instalar, gracias

ResponderCitar
Respondido : 11/10/2015 5:29 pm

Cursos Gratuitos WordPress

Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Según tu captura de pantalla veo que tienes un Joomla 3, de manera general si que podrías actualizar Akeeba, aunque debería funcionarte igual tu Akeeba sin necesidad de actualizar

Sin embargo si que te recomiendo hacer una copia de seguridad antes de actualizar virtuemart y weblinks

Weblinks supongo es por que te viene desde la versión anterior de Joomla 2.5

Saludos.

ResponderCitar
Respondido : 12/10/2015 6:47 pm
Walter
 Walter
Reputable Member

Hola Jhon, estos plugins que quiero actualizar vinieron preinstalados en el paquete de webempresa que instale hace unos dias con Joomla 3 y VM 3.x, es una instalacion limpia a la que ire copiando del carrito operativo toda la imformacion mediante CSVI.
Akeeba no lo he podido actualizar, me dice que el host no tiene la version de PHP adecuada para hacerlo, dice que es vieja con lo cual dejo la que esta.
Respecto a Weblinks no se que es, vino preinstalado con el paquete de webempresa y como ni bien instale el paquete me pedia actualizacion supuse que tenia que actualizarlo.

ResponderCitar
Respondido : 13/10/2015 7:54 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Johnny Heredia Montiel
 Johnny Heredia Montiel
Miembro Moderator

Hola,

Si Akeeba Backup te muestra una versión de PHP que quizás necesites actualizar puedes enviar un ticket a soporte desde tu área de clientes para que realicen este cambio y dicho mensaje no se muestre y puedas actualizar.

ResponderCitar
Respondido : 14/10/2015 2:42 am